# d3-array

Array manipulation, ordering, searching, summarizing, *etc.*

See one of:

* [Adding numbers](./d3-array/add.md) - Add floating point values with full precision.
* [Binning data](./d3-array/bin.md) - Bin discrete samples into continuous, non-overlapping intervals.
* [Bisecting data](./d3-array/bisect.md) - Quickly find a value in a sorted array.
* [Blurring data](./d3-array/blur.md) - Blur quantitative values in one or two dimensions.
* [Grouping data](./d3-array/group.md) - Group discrete values.
* [Interning values](./d3-array/intern.md) - Create maps and sets with non-primitive values such as dates.
* [Set operations](./d3-array/sets.md) - Logical operations on sets.
* [Sorting data](./d3-array/sort.md) - Sort and reorder arrays of values.
* [Summarizing data](./d3-array/summarize.md) - Compute summary statistics.
* [Ticks](./d3-array/ticks.md) - Generate representative values from a continuous interval.
* [Transforming data](./d3-array/transform.md) - Derive new arrays.
