# d3-scale-chromatic

This module provides sequential, diverging and categorical color schemes designed to work with [d3-scale](./d3-scale.md)’s [d3.scaleOrdinal](./d3-scale/ordinal.md) and [d3.scaleSequential](./d3-scale/sequential.md). Most of these schemes are derived from Cynthia A. Brewer’s [ColorBrewer](http://colorbrewer2.org). Since ColorBrewer publishes only discrete color schemes, the sequential and diverging scales are interpolated using [uniform B-splines](https://observablehq.com/@d3/colorbrewer-splines).

See one of:

* [Categorical schemes](./d3-scale-chromatic/categorical.md)
* [Cyclical schemes](./d3-scale-chromatic/cyclical.md)
* [Diverging schemes](./d3-scale-chromatic/diverging.md)
* [Sequential schemes](./d3-scale-chromatic/sequential.md)
