# d3-scale

Scales map a dimension of abstract data to a visual representation. Although most often used for encoding data as position, say to map time and temperature to a horizontal and vertical position in a scatterplot, scales can represent virtually any visual encoding, such as color, stroke width, or symbol size. Scales can also be used with virtually any type of data, such as named categorical data or discrete data that requires sensible breaks.

See one of:

* [Linear scales](./d3-scale/linear.md) - for quantitative data
* [Time scales](./d3-scale/time.md) - for time-series data
* [Pow scales](./d3-scale/pow.md) - for quantitative data (that has a wide range)
* [Log scales](./d3-scale/log.md) - for quantitative data (that has a wide range)
* [Symlog scales](./d3-scale/symlog.md) - for quantitative data (that has a wide range)
* [Ordinal scales](./d3-scale/ordinal.md) - for categorical or ordinal data
* [Band scales](./d3-scale/band.md) - for categorical or ordinal data as a position encoding
* [Point scales](./d3-scale/point.md) - for categorical or ordinal data as a position encoding
* [Sequential scales](./d3-scale/sequential.md) - for quantitative data as a sequential color encoding
* [Diverging scales](./d3-scale/diverging.md) - for quantitative data as a diverging color encoding
* [Quantile scales](./d3-scale/quantile.md) - for quantitative data as a discrete encoding
* [Quantize scales](./d3-scale/quantize.md) - for quantitative data as a discrete encoding
* [Threshold scales](./d3-scale/threshold.md) - for quantitative data as a discrete encoding

For visualizing the scale’s encoding, see [d3-axis](./d3-axis.md), as well as [*scale*.ticks](./d3-scale/linear.md#linear_ticks) and [*scale*.tickFormat](./d3-scale/linear.md#linear_tickFormat). For color schemes, see [d3-scale-chromatic](./d3-scale-chromatic.md).
